com.genesyslab.wfm8.API.service.schedule810

## Class SchScenarioSnapshot

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule810.SchScenarioSnapshot

- All Implemented Interfaces:
    java.io.Serializable

      public class SchScenarioSnapshot
      extends java.lang.Object
      implements java.io.Serializable

  Schedule Scenario Snapshot
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `scenarioCount` Count of Schedule Scenario in the snapshot
    `private static long` | `serialVersionUID`
    `protected java.lang.String` | `snapshotID` Snapshot ID
    `protected long` | `timestamp` Timestamp of snapshot

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchScenarioSnapshot()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getScenarioCount()` Gets the value of the scenarioCount property.
    `java.lang.String` | `getSnapshotID()` Gets the value of the snapshotID property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setScenarioCount(int value)` Sets the value of the scenarioCount property.
    `void` | `setSnapshotID(java.lang.String value)` Sets the value of the snapshotID property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `SchScenarioSnapshot` | `withScenarioCount(int value)`
    `SchScenarioSnapshot` | `withSnapshotID(java.lang.String value)`
    `SchScenarioSnapshot` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### snapshotID

          protected java.lang.String snapshotID

      Snapshot ID

    - #### scenarioCount

          protected int scenarioCount

      Count of Schedule Scenario in the snapshot

    - #### timestamp

          protected long timestamp

      Timestamp of snapshot

  - ### Constructor Detail

    - #### SchScenarioSnapshot

          public SchScenarioSnapshot()

  - ### Method Detail

    - #### getSnapshotID

          public java.lang.String getSnapshotID()

      Gets the value of the snapshotID property.
      Returns:
        possible object is `String`

    - #### setSnapshotID

          public void setSnapshotID(java.lang.String value)

      Sets the value of the snapshotID property.
      Parameters:
        `value` - allowed object is `String`

    - #### getScenarioCount

          public int getScenarioCount()

      Gets the value of the scenarioCount property.

    - #### setScenarioCount

          public void setScenarioCount(int value)

      Sets the value of the scenarioCount property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withSnapshotID

          public SchScenarioSnapshot withSnapshotID(java.lang.String value)

    - #### withScenarioCount

          public SchScenarioSnapshot withScenarioCount(int value)

    - #### withTimestamp

          public SchScenarioSnapshot withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.